#ifndef  _ADC_H_
#define  _ADC_H_

#include"myfun.h"
#include "intrins.h"

sfr ADC_CONTR = 0XBC;
sfr ADC_RES   = 0XBD;
sfr ADC_LOW2  = 0XBE;
sfr P1ASF     = 0X9D;

/*--------------------------------------------------------------------------------
//һ 1T 8051ϵ Ƭ ADC ⹦ܼĴ
//                                            7        6      5       4         3      2    1    0   Reset Value
sfr ADC_CONTR = 0xBC; //A/D תƼĴ ADC_POWER SPEED1 SPEED0 ADC_FLAG ADC_START CHS2 CHS1 CHS0 0000,0000
sfr ADC_RES  = 0xBD;  //A/D ת8λ ADCV.9 ADCV.8 ADCV.7 ADCV.6 ADCV.5 ADCV.4 ADCV.3 ADCV.2	 0000,0000
sfr ADC_RESL = 0xBE;  //A/D ת2λ                                           ADCV.1 ADCV.0	 0000,0000
//--------------------------------------------------------------------------------
*/
#define ADC_POWER   0X80
#define ADC_FLAG    0X10
#define ADC_START   0X08
#define ADC_SPEEDLL 0X00	//SPEED1=0 SPEED0=0
#define ADC_SPEEDL  0X20	//SPEED1=0 SPEED0=1
#define ADC_SPEEDH  0X40    //SPEED1=1 SPEED0=0
#define ADC_SPEEDHH 0X60    //SPEED1=1 SPEED0=1


WORD GetADCResult(BYTE ch);
void InitADC();
void DelayADC(WORD t);
//void ADCResult_Bin_to_Dec(BYTE Channel);

#endif